> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the frequency of a donation



## OpenAPI

````yaml put /frontend/checkout/frequency/{client_id}/{program_id}/{entity_id}/{frequency}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/checkout/frequency/{client_id}/{program_id}/{entity_id}/{frequency}/{session_id}:
    put:
      tags:
        - Frontend
      summary: Update the frequency of a donation
      operationId: f0e4a7772d651effc9f6ce2db487d85d
      parameters:
        - name: client_id
          in: path
          description: The ID of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The ID of the program
          required: true
          schema:
            type: integer
        - name: entity_id
          in: path
          description: The ID of the entity
          required: true
          schema:
            type: integer
        - name: frequency
          in: path
          description: The frequency of the donation
          required: true
          schema:
            type: integer
            example: 2
        - name: session_id
          in: path
          description: The session ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  status:
                    type: string
                    example: success
                type: object

````